SDL_HINT_VIDEO_X11_NET_WM_BYPASS_COMPOSITOR(3)

NAME
SDL_HINT_VIDEO_X11_NET_WM_BYPASS_COMPOSITOR - A variable controlling whether the X11 _NET_WM_BYPASS_COMPOSITOR hint should be used.

HEADER FILE
Defined in SDL3/SDL_hints.h

SYNOPSIS
#include "SDL3/SDL.h"

#define SDL_HINT_VIDEO_X11_NET_WM_BYPASS_COMPOSITOR SDL_VIDEO_X11_NET_WM_BYPASS_COMPOSITOR"

DESCRIPTION
The variable can be set to the following values:

• "0": Disable _NET_WM_BYPASS_COMPOSITOR.

• "1": Enable _NET_WM_BYPASS_COMPOSITOR. (default)

This hint should be set before creating a window.

AVAILABILITY
This hint is available since SDL 3.2.0.